
Foreman - Bug #2393

Couple of models broken with audited 3.0.0

04/10/2013 02:49 PM - Ivan Necas

Status: Closed   

Priority: High   

Assignee:    

Category: Audit Log   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In audited 3.0.0, there is this change:

https://github.com/collectiveidea/audited/commit/ec4732fa214ad9e7c129c36acef1ca80779d079c

It adds audited column automatically as attr_protected, which means, that even with whitelist_attributes = false,

the models start being checked.

The solution: set whitelist_attirbutes to true and fix all the missing models with attr_accesible. I know at least

about Oranization, Location, Operatingsystem and ComputeResource that have this issue.

Note: right now, Gemfile locks the audited gem on rc1, which doesn't contain this change. Since the 3.0.0 is already

out, there should be no reason to keep that locked, and we should fix our code base instead.

Related issues:

Related to Foreman - Bug #1743: Validation of name parameters always fails Closed 07/10/2012

Associated revisions

Revision 9c864cb6 - 05/06/2013 02:36 AM - Ohad Levy

fixes #2393 - Couple of models broken with audited 3.0.0

this is not a fix for the mass assignment problem, rather just to solve immedient packaing issue upstream.

a follow up on mass assignment should be done via another commit.

History

#1 - 04/23/2013 09:42 AM - Ivan Necas

- Priority changed from Normal to High

#2 - 04/23/2013 09:47 AM - Dominic Cleal

- Category set to Audit Log

- Target version set to 1.2.0

#3 - 04/23/2013 10:15 AM - Ivan Necas

This btw. means, that foreman doesn't work properly on Fedora, since there already is audited-3.0.0:

http://koji.fedoraproject.org/koji/buildinfo?buildID=370392

#4 - 05/06/2013 04:16 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 9c864cb673c38f6e4313f1d83c0607a56a6d164e.
